Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_hash_from_factory

## Name

librdf_new_hash_from_factory -- Constructor - create a new librdf_hash object from a factory

## Synopsis

``librdf_hash* `librdf_new_hash_from_factory`` (librdf_world * `world`, librdf_hash_factory* `factory`);`

## Arguments

`world`

  redland world object

`factory`

  the factory to use to construct the hash

## Return value

a new librdf_hash object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_hash | Up | librdf_new_hash_from_hash